
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>sphinx增量索引的一个问题 / iVAN</title>

    <meta name="description" content="sphinx增量索引的一个问题 但最近发现增量的总是搜索不到,今天看了下运行日志,有如下提示: [Sun Apr 17 19:30:01.876 2011] [ 3400] WARNING: rotating index 'news_delta': cur to old rename failed: rename /dev/shm/sphinx/data/news_delta.spa to /dev/shm/sphinx/data/news_delta.old.spa failed: No such file or direc">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">sphinx增量索引的一个问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>但最近发现增量的总是搜索不到，今天看了下运行日志，有如下提示：</p>
<p>[Sun Apr 17 19:30:01.876 2011] [ 3400] WARNING: rotating index 'news_delta': cur to old rename failed: rename /dev/shm/sphinx/data/news_delta.spa to /dev/shm/sphinx/data/news_delta.old.spa failed: No such file or directory</p>
<p>[Sun Apr 17 19:30:01.881 2011] [ 3400] WARNING: rotating index 'article_delta': cur to old rename failed: rename /dev/shm/sphinx/data/article_delta.spa to /dev/shm/sphinx/data/article_delta.old.spa failed: No such file or directory</p>
<p>为提高增量索引速度，我将增量索引存放在/dev/shm中，看了下/dev/shm/sphinx/data/目录下的内容： <br />-rw-r--r-- 1 root root 385762 Apr 17 19:21 article_delta.new.spd <br />-rw-r--r-- 1 root root 3713 Apr 17 19:21 article_delta.new.sph <br />-rw-r--r-- 1 root root 46260 Apr 17 19:21 article_delta.new.spi <br />-rw-r--r-- 1 root root 0 Apr 17 19:21 article_delta.new.spk <br />-rw-r--r-- 1 root root 0 Apr 17 19:21 article_delta.new.spm <br />-rw-r--r-- 1 root root 261402 Apr 17 19:21 article_delta.new.spp</p>
<p>奇怪，应该要有article_delta.spd等文件，不应该是.new的文件。 <br />增量索引时是使用--rotate参数的， <br /><u>复制代码</u> 代码如下:<br />
		<br />bin/indexer --rotate news_delta <br />bin/indexer --rotate article_delta</p>
<p>在rotate时，需要将原article_delta.spa重命名为article_delta.old.spa，然后将article_delta.new.spa重命名为article_delta.spa，再通知searchd重启完成rotate。</p>
<p>想起应该是前几天凌晨重启过机器，原文件都丢了，导致无法rotate:(</p>
<p>解决方法： <br />运行：bin/indexer article_delta <br />创建了article_delta.spd,sph等文件。</p>
<p>再运行：bin/indexer article_delta --rotate <br />运行日志提示：rotating index 'article_delta': success <br />正常了！</p>
<p>把要做增量索引的命令写了个脚本，放在rc.local中，这样重启过机器就不会再出现这种问题了。 <br /><u>复制代码</u> 代码如下:<br />
		<br />echo "start:" $(date +"%y-%m-%d %H:%M:%S") <br />cd /usr/local/coreseek/bin <br />./indexer news_delta <br />./indexer article_delta <br />echo "end:" $(date +"%y-%m-%d %H:%M:%S")</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 08:14:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/root/" title="root">root</a>, <a href="https://www.iamivan.net/tag/%e5%a2%9e%e9%87%8f/" title="增量">增量</a>, <a href="https://www.iamivan.net/tag/rotate/" title="rotate">rotate</a>, <a href="https://www.iamivan.net/tag/%e5%a2%9e%e9%87%8f%e7%b4%a2%e5%bc%95/" title="增量索引">增量索引</a>, <a href="https://www.iamivan.net/tag/sphinx/" title="sphinx">sphinx</a>, <a href="https://www.iamivan.net/tag/apr/" title="apr">apr</a>, <a href="https://www.iamivan.net/tag/coreseek/" title="coreseek">coreseek</a>, <a href="https://www.iamivan.net/tag/spa/" title="SPA">SPA</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>sphinx增量索引的一个问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7V5Bb.html" rel="bookmark">sphinx增量索引的一个问题&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				但最近发现增量的总是搜索不到,今天看了下运行日志,有如下提示: [Sun Apr 17 19:30:01.876 2011] [ 3400] WARNING: rotating index 'news_delta': cur to old rename failed: rename /dev/shm/sphinx/data/news_delta.spa to /dev/shm/sphinx/data/news_delta.old.spa failed: No such file or direc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0292mz.html" rel="bookmark">sphinx实现增量索引 分布式索引几个例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				增量索引,其实就是增加的内容,例如:存款有100块,今天挣了10块,这10块就是增量了 分布式索引,可以这样理解,想开公司钱不够,需要向很多人借钱.也就是把大家钱集中一起使用.一,测试表和数据  代码如下 复制代码 mysql&gt; desc sph_counter;  +------------+---------+------+-----+---------+-------+  | Field | Type | Null | Key | Default | Extra |  +---------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRlnrp.html" rel="bookmark">基于Solr DIH实现MySQL表数据全量索引和增量索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现MySQL表数据全量索引和增量索引,基于Solr DIH组件实现起来比较简单,只需要重复使用Solr的DIH(Data Import Handler)组件,对data-config.xml进行简单的修改即可.Solr DIH组件的实现类为org.apache.solr.handler.dataimport.DataImportHandler,在Solr的solrconfig.xml中配置两个handler,配置分别说明如下. 全量索引 solrconfig.xml配置如下: 1 &lt;reque			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvrar1M.html" rel="bookmark">Lucene5学习之增量索引&lpar;Zoie&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      清明节放假期间,就一直在思考着Lucene增量索引问题,通过google我了解到了Zoie的存在,于是就开始2天的学习Zoie之旅,对Zoie的原理以及使用基本掌握,还特地使用Zoie实现了Lucene索引增量索引.不过Zoie已经好久没更新了,Zoie目前版本只支持到Lucene4.3.0,为此我花了2个多小时,修改了Zoie的源码将它升级使其支持Lucene5.0,我修改过的Zoie最新源码我已经上传到我的百度网盘,下载地址如下:     Zoie-for-Lucene5.0源码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgkYJM.html" rel="bookmark">跟益达学Solr5之增量索引MySQL数据库表数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   Solr5中如何增量索引MySQL数据库表中的数据,这个问题之前有某个童鞋问过我,今天午休时间就腾空更新篇博客,希望能帮助到你们.        为了测试方便,我首先从京东网站弄了点测试数据,如图:    这里要声明下,我不是在给京东商城打广告哈,仅仅是随便找个网站弄点测试数据,这部分工作全是我无聊手动插入MySQL数据库中的,如图:  建表SQL以及测试数据,我待会儿会上传到底下的附件里.然后你需要在solrconfig.xml配置文件中启用全量导入和增量导入请求处理器,如图:  然后分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2WkdM.html" rel="bookmark">使用Sphinx对索引进行搜索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sphinx对索引进行搜索主要分为以下几步:1.用户输入查询语句. 2.对查询语句进行词法分析,语法分析,及语言处理. 3.搜索索引,得到符合语法树的文档. 4.根据得到的文档和查询语句的相关性,对结果进行排序.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0Y1jp.html" rel="bookmark">使用Sphinx对索引进行搜索&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sphinx对索引进行搜索主要分为以下几步:1.用户输入查询语句. 2.对查询语句进行词法分析,语法分析,及语言处理. 3.搜索索引,得到符合语法树的文档. 4.根据得到的文档和查询语句的相关性,对结果进行排序.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY9qQlM.html" rel="bookmark">&lbrack;20170407&rsqb;关于增量检查点的一个疑问&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20170407]关于增量检查点的一个疑问.txt --//oracle现在写脏块基本采用增量检查点,除非执行alter system checkpoint,或者shutdown immediate(normal)正常关闭数据库. --//别人的疑问,如果如果写增量检查点时,current log tail at RBA=Incremental checkpoint up to RBA时,如下情况 1.环境: SYS@book&gt; @ &amp;r/ver1 PORT_STRING         			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyexW5M.html" rel="bookmark">lucene怎样在做增量索引的同时更新旧数据？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 现在的项目要求做近实时索引,大约15分钟更行一次.数据会不断新增,而旧数据也会经常被修改.我计划用增量索引来做,根据数据库的更新时间来添加文档.但被更新的文档可能索引里已经有了,添加之后数据可能会重复.请问如何消除这种重复的可能性,是每添加一个document时都先查一下索引里是不是已经有,还是记录数据库所有的修改操作并将id放到队列里,跑索引的时候一起更新?请问lucene有没有更好的内部机制解决这个问题,比如能不能像数据库一样指定unique的字段? 解决方案 方案1: 你修改的数			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm7Glb.html" rel="bookmark" class="title">asp&period;net 接收datalist 数据问题</a>
					<div>
						问题描述 因业务需要,我有一成分表(一个物料包含的成分),所有物料都又成分,按不同的百分含量组合的:成份表A成分B成分.....物料_成份表物料_id成分_id百分含量A001A成份50A001B成份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd6r6b.html" rel="bookmark" class="title">我的WCF之旅（2）：Endpoint Overview</a>
					<div>
						WCF实际上是构建了一个框架,这个框架实现了在互联系统中各个Application之间如何通信.使得Developers和Architect在构建分布式系统中,无需在考虑如何去实现通信相关的问题,更加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyPJkb.html" rel="bookmark" class="title">域名、DNS、A记录以及MX记录的基本概念</a>
					<div>
						针对任何一个有效的域名,都应该有一个该域名的权威域名服务器(DNS),在域名服务器中有一条或多条针对于该域名的资源记录. 一条资源记录共有5项,分别是 域名(Domain_name).生存时间(Tim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMymdvM.html" rel="bookmark" class="title">jQuery插件资源&colon;WEBJX收集自适应jQuery插件</a>
					<div>
						文章简介:帮助你构建自适应布局的15款优秀 jQuery 插件. 自适应设计(Responsive Layouts)是时下网页设计领域最热门的话题之一,自适应设计的目标是要让产品界面能够响应用户的行为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjDX5p.html" rel="bookmark" class="title">重视百度打击外链决心 规避软文外链建设风险</a>
					<div>
						推广性软文是网站最为省钱的一种营销方式,不过也正是因为省钱,所以很多网站在搞网站内容推广时,往往忽视软文内容的建设,基本上采用复制粘贴的模式,发布到相关的新闻源网站,有的还发布到分类黄页网站等,这些疯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvQ2Nb.html" rel="bookmark" class="title">百度打击采集网站的决心令人不寒而栗</a>
					<div>
						  [导读]互联网上重复的内容究竟有多少?是什么让重复的内容在互联网泛滥成灾?是采集.无论是站长用双手采集,还是用软件采集.为何要采集,因为原 创太难了,太耗时间了.但是,重复的内容并没有什么价值.鹦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ballq2z.html" rel="bookmark" class="title">PHP开发框架Yii Framework教程&lpar;36&rpar; Zii组件-DatePicker示例</a>
					<div>
						CJuiDatePicker 用于日期输入,它封装了 JUI datepicker插件,其基本用法如下: &lt;?php echo $form-&gt;errorSummary($model); ? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLRkOb.html" rel="bookmark" class="title">如何更换Windows XP下的默认记事本程序</a>
					<div>
						XP下的记事本使用的频率还是比较高的,但是它却缺少行数显示,而且编写脚本什么的没有高亮显示,以至于有时候英文拼写错了都不知道(尤其是像我这种英文差的人).Vista下的记事本就好用很多了,不过Vist ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKAPvp.html" rel="bookmark" class="title">我理解的&period;net Framework 2&period;0 RSA加密</a>
					<div>
						这里我必须总结一下,因为RSACryptoServiceProvider 引发的异常快使我疯掉了! 代码: WindowsIdentity wi = Logon(UserName, Password) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNr4lb.html" rel="bookmark" class="title">利用图层样式及动作制作喜庆的羊年立体字</a>
					<div>
						  用动作制作立体字也是非常快捷的,过程:先把文字的表面部分制作出来,并合并为一个图层;然后用动作来控制图层的复制及变形比例得到立体面;最后处理立体面细节及颜色即可. 最终效果 1.新建一个1000  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1QJGz.html" rel="bookmark" class="title">PowerPoint一次性插入N张图片</a>
					<div>
						  我们有时候要把好几十张图片插入到Powerpoint中,每一张图片制作成一张幻灯片,以便于演示.如果手动操作的话,重复劳动让人抓狂啊!其实有偷懒的办法哦!把所有需要插入的图片都放到一个文件夹中&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7VZOb.html" rel="bookmark" class="title">win7给硬盘分区c盘太大怎么办？</a>
					<div>
						  win7给硬盘分区c盘太大怎么办? 1.在桌面计算机上右键管理; 2.左键单击左边磁盘管理; 3.右击C盘,选择压缩卷; 4.最下面的一个是C盘的大小,输入的地方是输入剩余C盘的大小; 5.C盘压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWWEjb.html" rel="bookmark" class="title">Photoshop给人像美女照片商业精细修图</a>
					<div>
						这组妆面中分别采用洋红与紫色来做眼影主色调.当一个画面中出现两二种颜色时,首先可以从照片上色彩面积大的部分来吸取,适当调节后人物主色调.同类色搭配是比较常用的搭配方法在审美的过程中通过丰富的经验 对人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw2JJz.html" rel="bookmark" class="title">PS绘制电影海报爆米花桶</a>
					<div>
						  爆米花桶 步骤1 首先用矩形绘画桶的基本形状,移动锚点使矩形顶宽底窄.对象&gt;路径&gt;添加锚点桶的底部中间创建一个锚点.移动刚建锚点,用锚点工具(Shift+C)使其光滑. 步骤2 使用圆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EwogM.html" rel="bookmark" class="title">浅析PHP中strlen和mb&lowbar;strlen的区别&lowbar;php实例</a>
					<div>
						在PHP中,strlen与mb_strlen是求字符串长度的函数,但是对于一些初学者来说,如果不看手册,也许不太清楚其中的区别. 下面通过例子,讲解这两者之间的区别. 先看例子: &lt;?php / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lEmab.html" rel="bookmark" class="title">我这有一个，不知道是不是你要的东西~</a>
					<div>
						&lt;%    Set mail1 = Server.CreateObject(&quot;Jmail.smtpmail&quot;)            mail1.serveraddress= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b320j3z.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;Internet Explorer无法打开搜索页&rdquo;怎么回事？</a>
					<div>
						打开Internet http://www.aliyun.com/zixun/aggregation/29809.html&quot;&gt;Explorer时显示&quot;Internet Exp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YoDkM.html" rel="bookmark" class="title">android应用-ddms post-create init？</a>
					<div>
						问题描述 ddms post-create init? 可是一启动android应用就出现eclipse 一直卡在DDMS post-create init,只有在任务管理器里面关闭adb.exe进程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKKENb.html" rel="bookmark" class="title">如何快速复制阿里&rdquo;企业级互联网架构&OpenCurlyDoubleQuote;的最佳实践</a>
					<div>
						本期采访嘉宾--赵林 (丹臣),&lt;企业级互联网架构专场&gt;出品人. 2016云栖大会深圳峰会,点击报名! 企业级互联网架构解决方案,点击查看! 赵林:这次之所以策划这个主题,主要是想帮助那些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRdKdb.html" rel="bookmark" class="title">HDFS启动</a>
					<div>
						标签(空格分隔): 大数据 HDFS [toc] 所有的分析以单机安装的Hadoop版本2.6.4为例分析.步骤依赖于安装文档中的步骤,见Hadoop的单机安装 预制几个重要的脚本文件: 假设hado ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBDPwM.html" rel="bookmark" class="title">mysql sql 字符连接函数Concat Concat&lowbar;ws</a>
					<div>
						mysql sql 字符连接函数 1.Concat()函数     1.1 MySQL的concat函数可以连接一个或者多个字符串,如         mysql&gt; select concat( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm1XQM.html" rel="bookmark" class="title">89C51单片机，外部中断不响应，一直是高电平。</a>
					<div>
						问题描述 89C51单片机,外部中断不响应,一直是高电平. 在学习板P3.3接外部脉冲,脉冲是24V金属接近开关输出信号,用39k.10k电阻分压至5V左右,输入单片机P3.3引脚.用检测外部中断程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEGWlM.html" rel="bookmark" class="title">JAVA WEB中如何让数据库连接对开发人员完全透明？</a>
					<div>
						书上的技术,确实开了眼界. 列相关测试代码如下,慢慢体会开发的模式.   PropsUtil   package org.smart4j.chapter2.util; import java.io.F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z7jZp.html" rel="bookmark" class="title">向GridView的模板列绑定OnClientClick的函数时出现了奇怪的问题</a>
					<div>
						原文:向GridView的模板列绑定OnClientClick的函数时出现了奇怪的问题      GridView的一个模板列中的内容是按钮,需要实现以下的效果:      GridView分页显示数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nVBJz.html" rel="bookmark" class="title">Linux 有问必答：如何知道当前正在使用的 shell 是哪个？</a>
					<div>
						Linux 有问必答:如何知道当前正在使用的 shell 是哪个? 问题: 我经常在命令行中切换 shell.是否有一个快速简便的方法来找出我当前正在使用的 shell 呢?此外,我怎么能找到当前 s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RKoDz.html" rel="bookmark" class="title">手机-联系电话正则表达式验证</a>
					<div>
						问题描述 联系电话正则表达式验证 用于手机号码 如 13567543330 座机 057563552736 或 63552736 2个都可以验证 解决方案 (010d{8})|(0[2-9]d{10} ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nkx8z.html" rel="bookmark" class="title">可以对 SSI 说，我叫 SI ！</a>
					<div>
						可以对 SSI 说,我叫 SI ! 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协议 转载请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQmAz.html" rel="bookmark" class="title">sql表连接查询使用方法&lpar;sql多表连接查询&rpar;&lowbar;MsSql</a>
					<div>
						实际的项目,存在多张表的关联关系.不可能在一张表里面就能检索出所有数据.如果没有表连接的话,那么我们就需要非常多的操作.比如需要从A表找出限制性的条件来从B表中检索数据.不但需要分多表来操作,而且效率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2dB6M.html" rel="bookmark" class="title">java实现八皇后问题示例分享&lowbar;java</a>
					<div>
						问题描述:将八个皇后放在棋盘上,任何两个皇后都不能互相攻击(即没有任何两个皇后在同一行.同一列或者同一对角线上)如图所示   在本文中,对于两道题采用了稍微不同的解决方式,但都使用的是一维数组.6.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLBegM.html" rel="bookmark" class="title">Excel表格数据导入jsp页面</a>
					<div>
						问题描述 想实现能够把Excel表格中得数据导入到jsp编写的页面中,在页面中对表格进行操作急求,谢谢!!! 解决方案 解决方案二:最简单的方法,在excel里建你要的表格样式,存为html页,再看看 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
